// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$auth-app-primary: mat-palette($mat-blue-grey);
$auth-app-accent: mat-palette($mat-amber, A200, A100, A400);

// The warn palette is optional (defaults to red).
$auth-app-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$auth-app-theme: mat-light-theme(
  $auth-app-primary,
  $auth-app-accent,
  $auth-app-warn
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($auth-app-theme);

/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

/* These styles affect the auth pages */
section {
  &:nth-child(2n) {
    background-color: white;
  }

  &:nth-child(2n + 1) {
    background-color: mat-color($auth-app-primary, 50);
  }

  .section-content {
    max-width: 800px;
    margin: auto;
    box-sizing: border-box;
    min-height: 300px;
    padding: 16px;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  &.intro {
    background-position: center;
    background-size: cover;
    color: white;
    background-color: #212121;
    background-attachment: fixed;
  }
}

@media only screen and (min-width: 600px) {
  section .section-content {
    padding: 32px;
  }
}
.spacer {
  flex: 1 1 auto;
}

.text-primary {
  color: mat-color($auth-app-primary);
}

.text-accent {
  color: mat-color($auth-app-accent);
}

.text-upper {
  text-transform: uppercase;
}

.text-justify {
  text-align: justify;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.circle {
  border-radius: 50%;
}

.small {
  font-size: 0.8em;
}

.padding {
  padding: 16px;
}
.margin {
  margin: 16px;
}
.margin-bottom {
  margin-bottom: 16px;
}

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

.with-sub {
  margin-bottom: 0px;
}
